#
# spec file for package ziptool
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ziptool
Version:        1.4.0
Release:        272.5
Url:            http://wolfpack.twu.net/utilities.html
Summary:        Tool for the Iomega ZIP and JAZ drives
License:        GPL-2.0+
Group:          Hardware/Other

Source:         %{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}.patch
Patch1:         %{name}-%{version}-makefile.patch
Patch2:         ziptool-1.4.0-fixes.patch
Patch3:         ziptool-1.4.0-uid.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A tool for configuration of the Iomega ZIP and JAZ drives. Automatic
eject and write protection (password too) can be configured.



Authors:
--------
    Mirko Kraft       <Mirko.Kraft@ixos.de>
    Grant R. Guenther <grant@torque.net>
    Aaron Segura      <aaronsegura@netscape.net>
    Tara Milana       <learfox@twu.net>

%prep
%setup
%patch0
%patch1
%patch2
%patch3

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
make DESTDIR=$RPM_BUILD_ROOT install

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) /usr/bin/jaztool
%verify(not mode) %attr(750,root,trusted) /usr/bin/ziptool
%doc %{_mandir}/man1/jaztool.1.gz
%doc %{_mandir}/man1/ziptool.1.gz

%changelog
* Fri Aug 22 2014 jengelh@inai.de
- Remove old specfile tags
* Fri Jan 18 2013 mhrusecky@suse.cz
- Dropping %%run_permissions (bnc#764103)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 21 2006 schwab@suse.de
- Use RPM_OPT_FLAGS.
- Don't strip binaries.
* Tue Mar  1 2005 mjancar@suse.cz
- remove setuid bit from the ziptool binary (#66191)
* Wed Nov 10 2004 ro@suse.de
- permission handling fixes
* Thu Sep 30 2004 mcihar@suse.cz
- fix typo in our patch (mount->umount) and add tmpfs to ignored filesystems (bug #46453)
- drop privileges for stating files (bug #46453)
* Tue Apr  6 2004 kukuk@suse.de
- Build as normal user
- Fix default permissions
* Sat Jan 17 2004 ro@suse.de
- fix for chown syntax
* Thu Jul 24 2003 tcrhak@suse.cz
- update to version 1.4.0
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Tue Nov  6 2001 pmladek@suse.cz
- added patch from Sebastian Krahmer <krahmer@suse.de>
  to fix potencial buffer overflow
- add "usbdevfs" to list of ignored filesystems
- fixed umount to do not check if the device is already mounted
* Wed Jun 20 2001 pblaha@suse.cz
- add "shm" and "none"  filesystems to ignore
- correct model for 2GB JAZ  "iomega  JAZ 2GB"
* Thu Apr 26 2001 pblaha@suse.cz
- update on 1.3 for work with 2GB jaz
- add build root
* Thu Feb 22 2001 ro@suse.de
- define SCSI_ALLOW_... if undef
* Mon Oct 23 2000 kukuk@suse.de
- Don't include linux/fs.h
* Tue Apr 18 2000 ke@suse.de
- Install README.
- Add group tag; use version macro.
* Fri Mar  3 2000 kukuk@suse.de
- Use _mandir macro
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jun 14 1999 kukuk@suse.de
- Update to 1.2
- Add ZIP 250 String
* Thu Apr 29 1999 ro@suse.de
- exclude PTS and AUTOFS filesystems
* Thu Oct 29 1998 ro@suse.de
- respect change in 2.1.126 SCSI_DISK_MAJOR
* Fri Sep 25 1998 ro@suse.de
- define MNTTYPE_PROC if not done by libc headers
* Thu Jun 19 1997 rj@suse.de
- new package (version 1.1b)
